# Generated by Django 2.2.16 on 2020-10-24 12:29

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Address',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('home_number', models.CharField(max_length=64)),
                ('post_index', models.IntegerField()),
                ('number_of_floors', models.IntegerField()),
                ('number_of_entrances', models.IntegerField()),
                ('coords', django.contrib.gis.db.models.fields.PointField(geography=True, srid=4326)),
            ],
        ),
        migrations.CreateModel(
            name='BuildingStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='BuildingType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='Street',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
                ('services_sector', models.CharField(max_length=512)),
                ('work_hours_start', models.TimeField()),
                ('work_hours_end', models.TimeField()),
                ('phone_number', models.CharField(max_length=32)),
                ('social_networks', models.CharField(max_length=512)),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='post_info.Address')),
            ],
        ),
        migrations.AddField(
            model_name='address',
            name='building_status',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='post_info.BuildingStatus'),
        ),
        migrations.AddField(
            model_name='address',
            name='building_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='post_info.BuildingType'),
        ),
        migrations.AddField(
            model_name='address',
            name='city',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='post_info.City'),
        ),
        migrations.AddField(
            model_name='address',
            name='state',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='post_info.State'),
        ),
        migrations.AddField(
            model_name='address',
            name='street',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='post_info.Street'),
        ),
    ]
